#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

bool poredi(int a, int b)
{
	return a > b;
}
int main()
{
	vector<int> v;
	unsigned long long int N;
	int a;
	
	cin >> N;
	for(unsigned long long int i = 0; i < N; i++)
	{
		cin >> a;
		v.push_back(a);
	}
	sort(v.begin(), v.end(), poredi);
	
	cout << endl;
	for(unsigned long long int i = 0; i < N; i++)
	{
		cout << v[i] << " ";
	}
	cout << endl;
	
	
	return 0;
}